package com.younike.common.bean;

/**
 * @author OldMa
 * @version 1.0.0
 * @ClassName ApiResultCode.java
 * @Description TODO
 * @createTime 2021年06月10日 13:45:00
 */
public enum ApiResultCode {

    //失败
    Fail(100),
    //验证失败
    AuthFail(150),
    //成功
    Success(200),
    /* 2021-7-29 Another */
    //未绑定手机号
    UnboundPhone(201),
    /* 2021-7-29 Another */
    //系统Error
    SystemError(300),
    //连续发送相同请求
    FrequentFail(400),
    //未登录
    Unauthorized(401),
    //连续发送相同请求
    NoSuchUser(500);

    // 定义私有变量
    private Integer code;

    // 构造函数，枚举类型只能为私有
    private ApiResultCode(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return this.code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
}
